CREATE TABLE fa_massadd_distributions (
    MASSADD_DIST_ID            NUMBER       ,
    MASS_ADDITION_ID           NUMBER       ,
    UNITS                      NUMBER       ,
    DEPRN_EXPENSE_CCID         NUMBER       ,
    LOCATION_ID                NUMBER       ,
    EMPLOYEE_ID                NUMBER       ,
    LOAD_REQUEST_ID            NUMBER(18, 0),
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    DEPRN_EXPENSE_SEGMENT1     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT2     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT3     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT4     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT5     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT6     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT7     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT8     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT9     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT10    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT11    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT12    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT13    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT14    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT15    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT16    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT17    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT18    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT19    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT20    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT21    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT22    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT23    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT24    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT25    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT26    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT27    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT28    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT29    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT30    VARCHAR2(100),
    LOCATION_SEGMENT1          VARCHAR2(120),
    LOCATION_SEGMENT2          VARCHAR2(120),
    LOCATION_SEGMENT3          VARCHAR2(120),
    LOCATION_SEGMENT4          VARCHAR2(120),
    LOCATION_SEGMENT5          VARCHAR2(120),
    LOCATION_SEGMENT6          VARCHAR2(120),
    LOCATION_SEGMENT7          VARCHAR2(120),
    EMPLOYEE_EMAIL_ADDRESS     VARCHAR2(960),
    ATTRIBUTE_CATEGORY         VARCHAR2(120),
    ATTRIBUTE1                 VARCHAR2(600),
    ATTRIBUTE2                 VARCHAR2(600),
    ATTRIBUTE3                 VARCHAR2(600),
    ATTRIBUTE4                 VARCHAR2(600),
    ATTRIBUTE5                 VARCHAR2(600),
    ATTRIBUTE6                 VARCHAR2(600),
    ATTRIBUTE7                 VARCHAR2(600),
    ATTRIBUTE8                 VARCHAR2(600),
    ATTRIBUTE9                 VARCHAR2(600),
    ATTRIBUTE10                VARCHAR2(600),
    ATTRIBUTE11                VARCHAR2(600),
    ATTRIBUTE12                VARCHAR2(600),
    ATTRIBUTE13                VARCHAR2(600),
    ATTRIBUTE14                VARCHAR2(600),
    ATTRIBUTE15                VARCHAR2(600),
    ATTRIBUTE_NUMBER1          NUMBER       ,
    ATTRIBUTE_NUMBER2          NUMBER       ,
    ATTRIBUTE_NUMBER3          NUMBER       ,
    ATTRIBUTE_NUMBER4          NUMBER       ,
    ATTRIBUTE_NUMBER5          NUMBER       ,
    ATTRIBUTE_DATE1            DATE         ,
    ATTRIBUTE_DATE2            DATE         ,
    ATTRIBUTE_DATE3            DATE         ,
    ATTRIBUTE_DATE4            DATE         ,
    ATTRIBUTE_DATE5            DATE         ,
    MASSADD_DIST_ID            NUMBER       ,
    MASS_ADDITION_ID           NUMBER       ,
    UNITS                      NUMBER       ,
    DEPRN_EXPENSE_CCID         NUMBER       ,
    LOCATION_ID                NUMBER       ,
    EMPLOYEE_ID                NUMBER       ,
    LOAD_REQUEST_ID            NUMBER(18, 0),
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    DEPRN_EXPENSE_SEGMENT1     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT2     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT3     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT4     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT5     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT6     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT7     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT8     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT9     VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT10    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT11    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT12    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT13    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT14    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT15    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT16    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT17    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT18    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT19    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT20    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT21    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT22    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT23    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT24    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT25    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT26    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT27    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT28    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT29    VARCHAR2(100),
    DEPRN_EXPENSE_SEGMENT30    VARCHAR2(100),
    LOCATION_SEGMENT1          VARCHAR2(120),
    LOCATION_SEGMENT2          VARCHAR2(120),
    LOCATION_SEGMENT3          VARCHAR2(120),
    LOCATION_SEGMENT4          VARCHAR2(120),
    LOCATION_SEGMENT5          VARCHAR2(120),
    LOCATION_SEGMENT6          VARCHAR2(120),
    LOCATION_SEGMENT7          VARCHAR2(120),
    EMPLOYEE_EMAIL_ADDRESS     VARCHAR2(960),
    ATTRIBUTE_CATEGORY         VARCHAR2(120),
    ATTRIBUTE1                 VARCHAR2(600),
    ATTRIBUTE2                 VARCHAR2(600),
    ATTRIBUTE3                 VARCHAR2(600),
    ATTRIBUTE4                 VARCHAR2(600),
    ATTRIBUTE5                 VARCHAR2(600),
    ATTRIBUTE6                 VARCHAR2(600),
    ATTRIBUTE7                 VARCHAR2(600),
    ATTRIBUTE8                 VARCHAR2(600),
    ATTRIBUTE9                 VARCHAR2(600),
    ATTRIBUTE10                VARCHAR2(600),
    ATTRIBUTE11                VARCHAR2(600),
    ATTRIBUTE12                VARCHAR2(600),
    ATTRIBUTE13                VARCHAR2(600),
    ATTRIBUTE14                VARCHAR2(600),
    ATTRIBUTE15                VARCHAR2(600),
    ATTRIBUTE_NUMBER1          NUMBER       ,
    ATTRIBUTE_NUMBER2          NUMBER       ,
    ATTRIBUTE_NUMBER3          NUMBER       ,
    ATTRIBUTE_NUMBER4          NUMBER       ,
    ATTRIBUTE_NUMBER5          NUMBER       ,
    ATTRIBUTE_DATE1            DATE         ,
    ATTRIBUTE_DATE2            DATE         ,
    ATTRIBUTE_DATE3            DATE         ,
    ATTRIBUTE_DATE4            DATE         ,
    ATTRIBUTE_DATE5            DATE         ,
    CONSTRAINT pk_fa_massadd_distributions PRIMARY KEY (MASSADD_DIST_ID, MASSADD_DIST_ID)
);
